%define upstream_name Crypt-Enigma
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Crypt-Enigma module for perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%description
This is a Perl implementation of the WWII Enigma Machine

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 0644 examples/*.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README examples
%{perl_vendorlib}/Crypt/Enigma.pm
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.300.0-7.mga10
+ Revision: 2198040
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.300.0-6.mga9
+ Revision: 1802670
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-5.mga8
+ Revision: 1493608
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-4.mga7
+ Revision: 1266796
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.300.0-3.mga6
+ Revision: 1024516
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.300.0-2.mga6
+ Revision: 968732
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 1.300.0-1.mga6
+ Revision: 854476
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 748480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 684040
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 510328
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 364853
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.3-4.mga1
+ Revision: 10376
- imported package perl-Crypt-Enigma


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.3-4mdv2010.0
+ Revision: 430352
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2009.0
+ Revision: 256262
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdk
- initial Mandriva package

